Bug 1440957 - nmcli connection edit interactive is not working for bond-slave
Summary: nmcli connection edit interactive is not working for bond-slave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 20:23 UTC by João Avelino Bellomo Filho
Modified: 2017-08-01 09:27 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:27:08 UTC


Attachments (Terms of Use)
[PATCH] cli: fix evaluation of supported settings for *-slave connections (2.05 KB, patch)
2017-04-11 18:25 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description João Avelino Bellomo Filho 2017-04-10 20:23:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open the nmcli connection edition interactive:

nmcli connection edit

2. Type 'bond-slave' on 'Enter connection type:' prompt:

Enter connection type: bond-slave

3. Type 'set' command to add a bond-slave id:

nmcli> set con.id bond0-slave0


Actual results:

The error message:

Error: invalid setting argument 'con'; valid are []

Expected results:

No erro message.

Additional info:

The issue was tested on NetworkManager default version and on version '1.4.0-17.el7_3'.

Comment 2 Beniamino Galvani 2017-04-11 18:25:00 UTC
Created attachment 1270898 [details]
[PATCH] cli: fix evaluation of supported settings for *-slave connections

Comment 3 Thomas Haller 2017-04-13 13:39:56 UTC
(In reply to Beniamino Galvani from comment #2)
> Created attachment 1270898 [details]
> [PATCH] cli: fix evaluation of supported settings for *-slave connections

lgtm

Comment 5 errata-xmlrpc 2017-08-01 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.